UnsupportedTemporalTypeException (Java SE 9 & JDK 9 )
Keywords: java.time.temporal.UnsupportedTemporalTypeException class

Module java.base
Package java.time.temporal

## Class UnsupportedTemporalTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.time.DateTimeException
        - - java.time.temporal.UnsupportedTemporalTypeException

- All Implemented Interfaces:
    `Serializable`

      public class UnsupportedTemporalTypeException
      extends DateTimeException

  UnsupportedTemporalTypeException indicates that a ChronoField or ChronoUnit is not supported for a Temporal class.
  Implementation Requirements:
    This class is intended for use in a single thread.
  Since:
    1.8
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnsupportedTemporalTypeException​(String message)` | Constructs a new UnsupportedTemporalTypeException with the specified message.
    `UnsupportedTemporalTypeException​(String message, Throwable cause)` | Constructs a new UnsupportedTemporalTypeException with the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### UnsupportedTemporalTypeException

          public UnsupportedTemporalTypeException​(String message)

      Constructs a new UnsupportedTemporalTypeException with the specified message.
      Parameters:
        `message` - the message to use for this exception, may be null

    - #### UnsupportedTemporalTypeException

          public UnsupportedTemporalTypeException​(String message,
                                                  Throwable cause)

      Constructs a new UnsupportedTemporalTypeException with the specified message and cause.
      Parameters:
        `message` - the message to use for this exception, may be null
        `cause` - the cause of the exception, may be null